<app-home></app-home><br>

<td>
    <mat-form-field>
        <input matInput disabled="true" placeholder="Data da Venda">{{dataVenda| date : 'dd/MM/yyyy '}}
    </mat-form-field>
</td>
<td>
    <mat-form-field>
        <input matInput disabled="true" placeholder="Código do cliente" >{{cliente}}
    </mat-form-field>
</td>

<legend>Itens da Venda</legend>

<div class="table-container mat-elevation-z8">
    <table id="ProdutoTable" mat-table [dataSource]="transactions" class="mat-elevation-z8">

        <ng-container matColumnDef="codBarrasItem">
            <th mat-header-cell *matHeaderCellDef>Código Barras </th>
            <td mat-cell *matCellDef="let transaction"> {{transaction.codBarrasProd}} </td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>

        <!-- Item Column -->
        <ng-container matColumnDef="descItem">
            <th mat-header-cell *matHeaderCellDef>Descrição Item</th>
            <td mat-cell *matCellDef="let transaction"> {{transaction.descProd}} </td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>

        <!-- Item Column -->
        <ng-container matColumnDef="valorUnit">
            <th mat-header-cell *matHeaderCellDef>Preço Unitário</th>
            <td mat-cell *matCellDef="let transaction"> {{transaction.precoUnit | currency}} </td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>

        <!-- Item Column -->
        <ng-container matColumnDef="qtdItem">
            <th mat-header-cell *matHeaderCellDef>Quantidade item</th>
            <td mat-cell *matCellDef="let transaction"> {{transaction.qtdItens}} </td>
            <td mat-footer-cell *matFooterCellDef>Total</td>
        </ng-container>

        <!-- Cost Column -->
        <ng-container matColumnDef="valorTotal">
            <th mat-header-cell *matHeaderCellDef>Valor Total</th>
            <td mat-cell *matCellDef="let transaction"> {{transaction.valorTotal | currency}} </td>
            <td mat-footer-cell *matFooterCellDef> {{getTotal() | currency}} </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        <tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
    </table>
</div><br>

<div mat-dialog-content>
    <div class="export-container">
        <button id="btr" mat-raised-button color="primary" (click)="onReturn()">Voltar</button>
        <button mat-raised-button color="primary" (click)="exportTable()">Exportar Excel</button>

    </div>
</div>




<!-- Copyright 2019 Google LLC. All Rights Reserved.
      Use of this source code is governed by an MIT-style license that
      can be found in the LICENSE file at http://angular.io/license -->